use crate::{
    components::{self, CodeType, Snippet},
    errors::*,
};
pub struct Viewport {
    snippet: Snippet,
}

impl Viewport {
    pub fn new() -> Result<Self> {
        let snippets = Snippet::new(
            "viewport",
            CodeType::<&'static str>::Path("transform/viewport.glsl".into()),
            true,
            None,
        )?;

        Ok(Self { snippet: snippets })
    }

    pub fn snippet(&self) -> &Snippet {
        &self.snippet
    }
}
